Bug 453264 - Review Request: jscoverage - A tool that measures code coverage for JavaScript programs
Summary: Review Request: jscoverage - A tool that measures code coverage for JavaScrip...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-06-28 15:19 UTC by Jesse Keating
Modified: 2020-06-13 15:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-13 15:44:18 UTC
Type: ---
bdpepple: fedora-review+


Attachments (Terms of Use)

Description Jesse Keating 2008-06-28 15:19:46 UTC
Spec URL: http://jkeating.fedorapeople.org/review/jscoverage.spec
SRPM URL: http://jkeating.fedorapeople.org/review/jscoverage-0.3.1-1.fc9.src.rpm
Description:

JSCoverage is a tool that measures code coverage for JavaScript programs.

Code coverage statistics show which lines of a program have been executed (and
which have been missed). This information is useful for constructing
comprehensive test suites (for which it is often called test coverage).

JSCoverage works by instrumenting the JavaScript code used in web pages. Code
coverage statistics are collected while the instrumented JavaScript code is
executed in a web browser.

JSCoverage works with any modern standards-compliant web browser - including
Internet Explorer (IE 6 and IE 7), Firefox (FF 2 and FF 3), Opera, and Safari
- on Windows and Linux.



Package scratch builds fine across the arches.  rpmlint is silent.  I had to fix rpaths by seding the libtool in the js/ directory as configure wouldn't take the --disable-rpath option.

Comment 1 Jesse Keating 2008-06-28 15:21:02 UTC
Ack, just realized that the files in this conflict with the 'js' package.  Need
to investigate this more, because it seems jscoverage includes it's own version
of js.

Comment 2 Jesse Keating 2008-06-29 15:50:58 UTC
Grr.  Well, 
Spec URL: http://jkeating.fedorapeople.org/review/jscoverage.spec
SRPM URL:
http://jkeating.fedorapeople.org/review/jscoverage-0.3.2-0.1.rc1.fc9.src.rpm

have been updated after talking some with upstream.  They don't install the js
stuff anymore, but it was noticed that jscoverage statically links against the
js that's built during the build process.  I've asked upstream to help me work
up a configure option that has it dynamically link against the system js, we'll
see where that goes.


Comment 3 Jesse Keating 2008-06-29 18:51:23 UTC
message from upstream (that I will later put in the spec file itself):

From: 	Ed <ed@siliconforks.com>
To: 	Jesse Keating <jkeating@redhat.com>
Subject: 	Re: Packaging jscoverage for Fedora
Date: 	Sun, 29 Jun 2008 12:01:38 -0500 (13:01 EDT)


Jesse Keating wrote:

> Hrm, that exposes a different problem.  Fedora has a pretty strict
> policy with regard to statically compiled software, in that you have to
> have a really really good reason to bring it in and have the exception
> on file.  Are there any ways to compile jscoverage against the shared js
> library?
> 

The Mozilla SpiderMonkey js library is intended to be used as a 
JavaScript interpreter, but JSCoverage uses it for parsing, rather than 
interpreting, JavaScript.  Unfortunately the parsing functions are not 
"public" and could possibly change any time the library is upgraded.


I think the above qualifies as a good reason to allow static linking.  I'm ready
to have this package reviewed.

The only current rpmlint output is a number of .css files in the examples have
dos line endings, which doesn't effect their use.  If not necessary I'd rather
not munge those files during package build.

Comment 4 Jason Tibbitts 2008-06-29 21:23:53 UTC
There's more than just css files in doc; I don't know why license files are
buried down in there, but who knows.  Anyway, one line fixes everything up:
  find doc -type f -exec sed -i 's/\r//' {} \;

There's a test suite in the tarball; it runs fine with:
  %check
  cd tests
  make check

The documentation is a bit over half the package.  The whole thing is only a bit
over a megabyte so I wouldn't really worry about it, though if this becomes a
dependency of many other packages I'd consider splitting it to a subpackage.

I need to run now, but that really looks to be about all there is to say.

Comment 5 Brian Pepple 2008-07-08 01:17:18 UTC
MD5Sum:
8e06fb1d7fdc06b02f5e79093908157e  jscoverage-0.3.2rc1.tar.bz2

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners
* Package installs and uninstalls clean

Bad (non-blockers):
* As tibbs noted in comment #4, there is a test suite in the tarball that might
might be worth running.
* The devel subpackage bits can probably be dropped, since your not packaging
anything for it.
* rpmlint produces the following errors that should be fixed before importing
into CVS:
jscoverage.x86_64: W: wrong-file-end-of-line-encoding
/usr/share/doc/jscoverage-0.3.2/doc/example-jsunit/jsunit/licenses/gpl-2.txt
jscoverage.x86_64: W: wrong-file-end-of-line-encoding
/usr/share/doc/jscoverage-0.3.2/doc/example-jsunit/jsunit/app/xbDebug.js
jscoverage.x86_64: W: wrong-file-end-of-line-encoding
/usr/share/doc/jscoverage-0.3.2/doc/example-jsunit/jsunit/app/css/readme
<etc.>

+1 APPROVE


Comment 6 Brian Pepple 2008-07-13 23:12:49 UTC
Jesse, are you still interested in adding this to Fedora?

Comment 7 Jesse Keating 2008-07-14 15:18:08 UTC
Yes, sorry I've been distracted with some other work.

Comment 9 Mattia Verga 2020-06-13 15:44:18 UTC
I'm going to close this as dead review, since the package was never imported and the original submitter account is no more active.


Note You need to log in before you can comment on or make changes to this bug.